1. Docs
  2. API Reference
  3. List the current user's own Developer Console capabilities

List the current user's own Developer Console capabilities

GET/portal/v1/accounts/{accountSlug}/me/console-capabilities

Authentication

Bearer TokenAuthorization

JWT access token. Never send alongside X-API-Key: a request carrying both is refused.

Responses

application/json

  • itemsAdminCapabilityDto[]*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*

Returned object

Request
curl -X GET "https://auth.canopy-io.com/portal/v1/accounts/{accountSlug}/me/console-capabilities" \
  -H "Authorization: Bearer $CANOPY_TOKEN"
Response
{
  "items": [
    {
      "key": "string",
      "description": "string",
      "category": "string",
      "product": "console",
      "scope": "account",
      "ownerOnly": false
    }
  ]
}
Related endpoints
GETResolve the current user's product access and landing
GETList the current user's own Account-governance capabilities
Was this page helpful?

Tell us how we can improve this guide.